#! /usr/bin/env python

import sqlite3
import os
import shutil

connection = sqlite3.connect('database.sqlite3')

for row in connection.execute('SELECT ZCREATED,ZIDENTIFIER FROM ZCAPTURE'):
	timeInterval = row[0]
	hash = row[1]
	timeInterval += 978307200.000000					# Time interval between 1970 (used by Close-up) and the system reference date (used by Everyday)
	os.remove(hash + '_thumb')							# Remove Everyday thumbnail, Close-up will compute its own
	shutil.move(hash + '.jpg', '%f' % timeInterval)		# Rename the file such that Close-up recognizes it
	
connection.close()
os.remove('database.sqlite3')

print ('Finished! Now delete EveryCloseUp.python from this directory and copy the rest of its contents to Close-up/Documents/Images')