//
//  main.m
//  EveryCloseUp
//
//  Created by Tim Johnsen on 7/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

int main(int argc, const char * argv[])
{

	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
		
	// Remove Thumbnails
	system("rm *_thumb");
	
	// Export precious sqlite info
	system("echo \'.output out.txt\n\
		   SELECT ZCREATED,ZIDENTIFIER FROM ZCAPTURE;\n\
		   .exit\n\' | sqlite3 database.sqlite3");
	
	// Load in string
	NSString *db = [NSString stringWithContentsOfFile:@"out.txt" encoding:NSUTF8StringEncoding error:nil];
	
	// Move files
	for (NSString *keyValuePair in [db componentsSeparatedByString:@"\n"]) {
		if ([keyValuePair rangeOfString:@"|"].location != NSNotFound) {
			// Everyday uses the system reference date, we use 1970. Here we do the conversion
			NSString *secondsSinceReferenceDateString = [[keyValuePair componentsSeparatedByString:@"|"] objectAtIndex:0];
			NSTimeInterval secondsSinceReferenceDate = [secondsSinceReferenceDateString doubleValue];
			NSDate *date = [NSDate dateWithTimeIntervalSinceReferenceDate:secondsSinceReferenceDate];
			NSTimeInterval secondsSince1970 = [date timeIntervalSince1970];
			NSString *secondsSince1970String = [NSString stringWithFormat:@"%f", secondsSince1970];
			
			// Grab the hash
			NSString *hash = [[keyValuePair componentsSeparatedByString:@"|"] objectAtIndex:1];
			
			// Move the files
			system([[NSString stringWithFormat:@"mv %@.jpg %@", hash, secondsSince1970String] cStringUsingEncoding:NSUTF8StringEncoding]);
		}
	}
	
	// Remove database
	system("rm database.sqlite3");
	system("rm out.txt");
	
	NSLog(@"Now copy all of these files into Documents/Images in Close-up");
	
	[pool drain];
	
    return 0;
}

